BytecodeSequence (Groovy 5.0.8)

Package: org.codehaus.groovy.classgen

## [Java] Class BytecodeSequence

- org.codehaus.groovy.classgen.BytecodeSequence

-     public class BytecodeSequence
      extends Statement

  This class represents a sequence of BytecodeInstructions or ASTNodes. The evaluation is depending on the type of the visitor.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BytecodeSequence(BytecodeInstruction instruction)`
    `BytecodeSequence(List<?> instructions)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public BytecodeInstruction` | `getBytecodeInstruction()` Returns the singular BytecodeInstruction.
    `` | `public List<?>` | `getInstructions()`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)` Delegates to the visit method used for this class.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Statement` | `addStatementLabel, copyStatementLabels, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public BytecodeSequence(BytecodeInstruction instruction)

    - #### public BytecodeSequence(List<?> instructions)

  - ### Method Detail

    - #### public BytecodeInstruction getBytecodeInstruction()

      Returns the singular BytecodeInstruction.

      Returns:
        `null` if instruction(s) is not a BytecodeInstruction

    - #### public List<?> getInstructions()

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)

      Delegates to the visit method used for this class. If the visitor is a ClassGenerator, then ClassGenerator.visitBytecodeSequence is called with this instance. If the visitor is no ClassGenerator, then this method will call visit on each ASTNode element sorted by this class. If one element is a BytecodeInstruction, then it will be skipped as it is no ASTNode.

      See Also:
        ClassGenerator